regression: labelling font size @value variable not binded to value
Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Expressions

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24272

Description

At some stage during the 2.99 dev cycle, the font size @value variable for labelling properties started returning NULL instead of actual

value.

Steps to reproduce

    1. Create a new project, and add a vector layer

    2. Open the style dock, and go to the labelling panel

    3. Activate "show labels for this layer", and set the "Size" property to 10

    4. Click on the data-defined property button for the "Size" property and select the "Edit..." menu item

    5. In the expression window, enter @value

    6. Prior to 2.99, it would return the "Size" value, i.e. 10, but under current master build, it returns NULL

Associated revisions

Revision 25fe2b07 - 2017-03-17 09:00 AM - Mathieu Pellerin - nIRV

[labelling] fix font size @value variable (fixes #16362) (#4273)

History

#1 - 2017-03-16 08:33 PM - Mathieu Pellerin - nIRV

- Subject changed from regression: @value not binded to values for labelling properties (such as font family, font size, etc.) to regression: labelling font 

size @value variable not binded to value

#2 - 2017-03-17 12:52 AM - Mathieu Pellerin - nIRV

- Status changed from Open to Closed

Fixed in changeset commit:"25fe2b07b9bd2b991d5359817053470797d1c379".
